| # Apache Tomcat 7 Version 7.0.106, Sep 16 2020 |

Links Docs Home Config Ref. Home FAQ User Comments Top Level Elements Server Service Executors Executor Connectors HTTP AJP Containers Context Engine Host Cluster Nested Components Global Resources JarScanner Listeners Loader Manager Realm Resources SessionIdGenerator Valve Cluster Elements Cluster Manager Channel Channel/Membership Channel/Sender Channel/Receiver Channel/Interceptor Valve Deployer ClusterListener web.xml Filter Other System properties | # The Service Component
Table of Contents
Introduction Attributes Common Attributes Standard Implementation Nested Components Special Features
Introduction
A Service element represents the combination of one or more Connector components that share a single Engine component for processing incoming requests. One or more Service elements may be nested inside a Server element.
Attributes
> Common Attributes
> > All implementations of Service support the following attributes:
> > Attribute | Description
> > --- | ---
> > `className` | Java class name of the implementation to use. This class must implement the `org.apache.catalina.Service` interface. If no class name is specified, the standard implementation will be used.
> > `name` | The display name of this Service, which will be included in log messages if you utilize standard Catalina components. The name of each Service that is associated with a particular Server must be unique.
> Standard Implementation
> > The standard implementation of Service is org.apache.catalina.core.StandardService. It supports the following additional attributes (in addition to the common attributes listed above):
> > Attribute | Description
> > --- | ---
Nested Components
The only components that may be nested inside a Service element are one or more Connector elements, followed by exactly one Engine element.
Special Features
There are no special features associated with a Service.
Copyright © 1999-2020, Apache Software Foundation